HUAWEI Mate 20 smartphones versions 9.1.0.139 Improper Authentication Vulnerability

Summary

HUAWEI Mate 20 smartphones versions earlier than 9.1.0.139(C00E133R3P1) have an improper authentication vulnerability. 

Credit:

The information has been provided by Ding Yicong

The original article can be found at:https://www.huawei.com/en/psirt/security-advisories/huawei-sa-20200108-02-smartphone-en


Details

The system has a logic error under certain scenario, successful exploit could allow the attacker who gains the privilege of guest user to access to the host user’s desktop in an instant, without unlocking the screen lock of the host user.

 

Vulnerable Systems:

HUAWEI Mate 20 smartphones versions 9.1.0.139

 

CVE Information:

CVE-2020-1787

 

Disclosure Timeline:
Published Date:1/9/2020

Categories: News